package com.goldenwater.slaj.acci.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.acci.mapper.BisAcciRecRepMapper;
import com.goldenwater.slaj.acci.domain.BisAcciRecRep;
import com.goldenwater.slaj.acci.service.IBisAcciRecRepService;

/**
 * 事故督办 服务层实现
 */
@Service
public class BisAcciRecRepServiceImpl implements IBisAcciRecRepService {

    @Autowired
    private BisAcciRecRepMapper bisAcciRecRepMapper;

    /**
     * 查询事故督办信息
     * @param guid 查询条件
     * @return 事故督办信息
     */
    @Override
    public BisAcciRecRep selectBisAcciRecRepByGuid(String guid) {
        return bisAcciRecRepMapper.selectBisAcciRecRepByGuid(guid);
    }

    /**
     * 查询事故督办列表
     * @param bisAcciRecRep 事故督办查询条件
     * @return 事故督办集合
     */
    @Override
    public List<BisAcciRecRep> selectBisAcciRecRepList(BisAcciRecRep bisAcciRecRep) {
        return bisAcciRecRepMapper.selectBisAcciRecRepList(bisAcciRecRep);
    }

    /**
     * 新增事故督办
     * @param bisAcciRecRep 事故督办信息
     * @return 影响行数
     */
    @Override
    public int insertBisAcciRecRep(BisAcciRecRep bisAcciRecRep) {
        return bisAcciRecRepMapper.insertBisAcciRecRep(bisAcciRecRep);
    }

    /**
     * 修改事故督办
     * @param bisAcciRecRep 事故督办信息
     * @return 影响行数
     */
    @Override
    public int updateBisAcciRecRep(BisAcciRecRep bisAcciRecRep) {
        return bisAcciRecRepMapper.updateBisAcciRecRep(bisAcciRecRep);
    }

    /**
     * 删除事故督办
     * @param guid 事故督办主键
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciRecRepByGuid(String guid) {
        return bisAcciRecRepMapper.deleteBisAcciRecRepByGuid(guid);
    }

    /**
     * 批量删除事故督办
     * @param guids 事故督办主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisAcciRecRepByGuids(String[] guids) {
        return bisAcciRecRepMapper.deleteBisAcciRecRepByGuids(guids);
    }
}
